<!doctype html>
<html>
<head>
    <title>Anti-censorship team report: September 2020 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Anti-censorship team report: September 2020 | Tor Project">
    <meta property="og:description" content="Tor&#39;s anti-censorship team writes monthly reports to keep the world updated on its progress....">
    <meta property="og:image" content="https://blog.torproject.org/anti-censorship-september-2020/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/anti-censorship-september-2020/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Anti-censorship team report: September 2020
      </h1>
    <p class="meta">by phw | October 12, 2020</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor's anti-censorship team writes monthly reports to keep the world updated on its progress. This blog post summarizes the anti-censorship work we got done in September 2020. Let us know if you have any questions or feedback!</p>
<h2>Snowflake</h2>
<ul>
<li>Merged a contribution from Peter Gerber to consider more IP address ranges local, for the purpose of stripping from SDP offers sent to the broker.</li>
</ul>
<h2>Rdsys</h2>
<ul>
<li>
<p>Built an HTTP streaming API between rdsys's backend and its distributors that allows distributors to receive resource updates (e.g. a bridge changing its IP address) in real-time.</p>
</li>
<li>
<p>Implemented a registration API that allows standalone-proxies (i.e. without a corresponding Tor bridge) to register themselves:<br />
    <a href="https://gitlab.torproject.org/tpo/anti-censorship/rdsys/-/issues/4">https://gitlab.torproject.org/tpo/anti-censorship/rdsys/-/issues/4</a></p>
</li>
<li>
<p>Added lots of unit tests. Rdsys's domain logic is 72.1% tested.</p>
</li>
<li>
<p>Experimented with reCAPTCHA support in rdsys. We could port BridgeDB's HTTPS distributor to rdsys and replace our Gimp-generated CAPTCHAs with Google's reCAPTCHA. To prevent exposing our users to Google, we would have to set up a reverse proxy, so Google only gets to see our machine's IP address. This is possible but messy to build.</p>
</li>
<li>
<p>Started brainstorming Salmon's user interface; in particular how we can best integrate it in Tor Browser:<br />
    <a href="https://gitlab.torproject.org/tpo/anti-censorship/rdsys/-/issues/7">https://gitlab.torproject.org/tpo/anti-censorship/rdsys/-/issues/7</a></p>
</li>
<li>
<p>Started writing up rdsys's design and architecture. The goal is to eventually publish a technical blog post that discusses how we built rdsys.</p>
</li>
</ul>
<h2>Bridgestrap</h2>
<ul>
<li>
<p>Wrapped up a "minimum viable product" of bridgestrap:<br />
    <a href="https://gitlab.torproject.org/tpo/anti-censorship/trac/-/issues/31874">https://gitlab.torproject.org/tpo/anti-censorship/trac/-/issues/31874</a></p>
</li>
<li>
<p>Filed issues to improve how bridgestrap spawns a Tor instance to test bridges:<br />
    <a href="https://gitlab.torproject.org/tpo/anti-censorship/bridgestrap/-/issues/1">https://gitlab.torproject.org/tpo/anti-censorship/bridgestrap/-/issues/1</a><br />
    <a href="https://gitlab.torproject.org/tpo/anti-censorship/bridgestrap/-/issues/2">https://gitlab.torproject.org/tpo/anti-censorship/bridgestrap/-/issues/2</a><br />
    <a href="https://gitlab.torproject.org/tpo/anti-censorship/bridgestrap/-/issues/3">https://gitlab.torproject.org/tpo/anti-censorship/bridgestrap/-/issues/3</a></p>
</li>
</ul>
<h2>Miscellaneous</h2>
<ul>
<li>
<p>Our infrastructure monitoring daemon's emails started getting rejected by Gandi's spam filter. We reported the issue and Gandi fixed it shortly after.</p>
</li>
<li>
<p>Read the HTTPT paper as part of our reading group and filed several issues that summarise what's necessary to deploy HTTPT as our next pluggable transport:<br />
    <a href="https://github.com/net4people/bbs/issues/50">https://github.com/net4people/bbs/issues/50</a><br />
    <a href="https://censorbib.nymity.ch/#Frolov2020b">https://censorbib.nymity.ch/#Frolov2020b</a><br />
    <a href="https://gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/httpt/-/issues">https://gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/…</a></p>
</li>
<li>
<p>Filed an issue to improve our terminology around bridges:<br />
    <a href="https://gitlab.torproject.org/tpo/anti-censorship/rdsys/-/issues/8">https://gitlab.torproject.org/tpo/anti-censorship/rdsys/-/issues/8</a></p>
</li>
<li>
<p>Brainstormed how Tor Browser could detect censorship:<br />
    <a href="https://gitlab.torproject.org/tpo/applications/tor-browser-spec/-/issues/40004">https://gitlab.torproject.org/tpo/applications/tor-browser-spec/-/issue…</a></p>
</li>
</ul>
<h2>Outreach</h2>
<ul>
<li>
<p>Philipp will present rdsys in a lightning talk at the Pluggable Transport Implementer's Meeting on Oct 13:<br />
    <a href="https://www.pluggabletransports.info/ptim2020/">https://www.pluggabletransports.info/ptim2020/</a></p>
</li>
<li>
<p>Published a blog post about Hashik's experience as one of Tor's GSoC'20 students:<br />
    <a href="https://blog.torproject.org/gsoc-2020-snowflake-proxy-mobile">https://blog.torproject.org/gsoc-2020-snowflake-proxy-mobile</a></p>
</li>
<li>
<p>Recorded a brief video that summarises Tor's anti-censorship work for a class at the University of Michigan.</p>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/reports">
          reports
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-289873"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289873" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
    <a href="#comment-289873">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289873" class="permalink" rel="bookmark">Recorded a brief video that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>Recorded a brief video that summarises Tor's anti-censorship work for a class at the University of Michigan.</p></blockquote>
<p>Is the video going to be released publicly or no?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289890"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289890" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289873" class="permalink" rel="bookmark">Recorded a brief video that…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-289890">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289890" class="permalink" rel="bookmark">No it won&#039;t. It&#039;s just a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No it won't. It's just a subset of other recent presentations like:<br />
<a href="https://www.youtube.com/watch?v=g6xEfNHkFKY" rel="nofollow">https://www.youtube.com/watch?v=g6xEfNHkFKY</a><br />
<a href="https://www.youtube.com/watch?v=aOOChyMCZH4" rel="nofollow">https://www.youtube.com/watch?v=aOOChyMCZH4</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-289878"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289878" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
    <a href="#comment-289878">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289878" class="permalink" rel="bookmark">Snowflake became extremely…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Snowflake became extremely slow for me these last months, I don't know if it's because more and more people are using it. I get 60kb/s from most snowflakes, only with a luck I can get on a snowflake with 400kb/s (these figures are what i get from opening Nyx and seeing the download bandwidth)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289900"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289900" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289878" class="permalink" rel="bookmark">Snowflake became extremely…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-289900">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289900" class="permalink" rel="bookmark">I think it&#039;s because of…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I think it's because of latency, some snowflakes might just be far from you *AND* from the snowflake bridge (in netherlands IIRC, no longer following dev after they switched to gitlab), it would be better if they had different snowflake bridges that connect to the snowflakes based on information from the broker about geoip (geoip is not perfect but better than the status quo)</p>
<p>but at least we might see the double channels soon which might help</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-289881"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289881" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
    <a href="#comment-289881">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289881" class="permalink" rel="bookmark">The post is too technical…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The post is too technical for me to grasp even the gist, but this caught my eye:</p>
<p>&gt; replace our Gimp-generated CAPTCHAs with Google's reCAPTCHA</p>
<p>My instinctive reaction is:</p>
<p>noooooo!</p>
<p>Is this perhaps another example of Google's money pushing Tor devs to consider something which potentially endangers Tor users but which has some obscure benefit to Google?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289891"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289891" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289881" class="permalink" rel="bookmark">The post is too technical…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-289891">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289891" class="permalink" rel="bookmark">No. The Gimp CAPTCHAs easy…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No. The Gimp CAPTCHAs easy to solve and reCAPTCHA isn't. That's all there is to it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289892"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289892" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289891" class="permalink" rel="bookmark">No. The Gimp CAPTCHAs easy…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-289892">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289892" class="permalink" rel="bookmark">Will you be using the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Will you be using the noscript version of reCAPTCHA? The Javascript version records your mouse movement and fingerprints your browser.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289933"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289933" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 16, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289892" class="permalink" rel="bookmark">Will you be using the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-289933">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289933" class="permalink" rel="bookmark">@Phillip Winter: is that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>@Phillip Winter: is that true?</p>
<p>I am more worried than ever about TP mandating Google badness.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289950"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289950" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 19, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289933" class="permalink" rel="bookmark">@Phillip Winter: is that…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-289950">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289950" class="permalink" rel="bookmark">As I mentioned before, we&#039;re…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As I mentioned before, we're not married to the idea of using reCAPTCHA. We would only use reCAPTCHA if it's possible to embed it in a privacy-preserving way. That may very well be impossible, in which case we wouldn't deploy it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289976"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289976" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 19, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289950" class="permalink" rel="bookmark">As I mentioned before, we&#039;re…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-289976">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289976" class="permalink" rel="bookmark">The noscript (Javascript…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The noscript (Javascript-free) fallback version of reCAPTCHA v2 can be safely proxied. Google deleted all references to it on their online documentation but it's still supported. Configuration instructions in the link below.</p>
<p><a href="https://web.archive.org/web/20181002010303/https://developers.google.com/recaptcha/docs/faq#does-recaptcha-support-users-that-dont-have-javascript-enabled" rel="nofollow">https://web.archive.org/web/20181002010303/https://developers.google.co…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-289896"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289896" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289891" class="permalink" rel="bookmark">No. The Gimp CAPTCHAs easy…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-289896">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289896" class="permalink" rel="bookmark">Can&#039;t use anything with…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can't use anything with Google captcha they want javascript enabled and everything. Talk about censorship! Make your own captcha using AI that doesn't require Google or something? But ah yes, Google already 'winning' the 'quantum race'.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-289897"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289897" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289891" class="permalink" rel="bookmark">No. The Gimp CAPTCHAs easy…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-289897">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289897" class="permalink" rel="bookmark">Can you at least look into…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can you at least look into alternatives for reCAPTCHA like the one Cloudflare recently moved to (hcaptcha or whatever its name is)?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289929"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289929" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 16, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289897" class="permalink" rel="bookmark">Can you at least look into…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-289929">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289929" class="permalink" rel="bookmark">Absolutely, thanks for the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Absolutely, thanks for the tip. For what it's worth, we haven't made up our mind on how to build a new HTTPS distributor. I was simply experimenting with reCAPTCHA to get a sense of how one could deploy it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289935"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289935" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 16, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289929" class="permalink" rel="bookmark">Absolutely, thanks for the…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-289935">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289935" class="permalink" rel="bookmark">Please give strong…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please give strong preference to a "captcha" solution which is done on-site, not ported to some third-party company, certainly not to Alphabet.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-289899"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289899" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289891" class="permalink" rel="bookmark">No. The Gimp CAPTCHAs easy…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-289899">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289899" class="permalink" rel="bookmark">and reCAPTCHA isn&#039;t [easy]. …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p> and reCAPTCHA isn't [easy]. </p></blockquote>
<p>Think again: <a href="https://anti-captcha.com/" rel="nofollow">https://anti-captcha.com/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-289901"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289901" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289891" class="permalink" rel="bookmark">No. The Gimp CAPTCHAs easy…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-289901">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289901" class="permalink" rel="bookmark">There are bots for solving…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There are bots for solving Google captcha also such as <a href="https://addons.mozilla.org/en-US/firefox/addon/buster-captcha-solver/" rel="nofollow">https://addons.mozilla.org/en-US/firefox/addon/buster-captcha-solver/</a> but then they block Tor and want your personal data or something. That'll do it. I just avoid anything with Google captcha now, and then they win with their censorship.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-289906"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289906" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Teo Samarzija (not verified)</span> said:</p>
      <p class="date-time">October 15, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289891" class="permalink" rel="bookmark">No. The Gimp CAPTCHAs easy…</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-289906">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289906" class="permalink" rel="bookmark">In my experience, reCAPTCHA…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In my experience, reCAPTCHA is hard to solve even for humans.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289934"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289934" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 16, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289906" class="permalink" rel="bookmark">In my experience, reCAPTCHA…</a> by <span>Teo Samarzija (not verified)</span></p>
    <a href="#comment-289934">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289934" class="permalink" rel="bookmark">@ Phillip Winter: 
My…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>@ Phillip Winter: </p>
<p>My experience with Google CAPTCHAS is very discouraging.  Sites which use them seem to always just demand capture after capture after capture, but apparently Google never has any intention of passing a Tor user, they just make us suffer needlessly and keep the door slammed in our face.  This is very bad because we are not doing anything wrong.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289964"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289964" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 19, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289934" class="permalink" rel="bookmark">@ Phillip Winter: 
My…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-289964">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289964" class="permalink" rel="bookmark">+1</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>+1</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-289990"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289990" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 19, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289934" class="permalink" rel="bookmark">@ Phillip Winter: 
My…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-289990">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289990" class="permalink" rel="bookmark">One could reason that more…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>One could reason that more refreshes and longer delays produce more permutations of one user's circuits for them to fingerprint and geolocate the user.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div><a id="comment-289939"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289939" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 17, 2020</p>
    </div>
    <a href="#comment-289939">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289939" class="permalink" rel="bookmark">hello is a salmon client…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hello is a salmon client planned for people who run headless servers?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289951"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289951" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 19, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-289939" class="permalink" rel="bookmark">hello is a salmon client…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-289951">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289951" class="permalink" rel="bookmark">The Salmon client is for…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The Salmon client is for users and will run in Tor Browser.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290124"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290124" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>anon (not verified)</span> said:</p>
      <p class="date-time">October 28, 2020</p>
    </div>
    <a href="#comment-290124">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290124" class="permalink" rel="bookmark">I can&#039;t believe trying to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I can't believe trying to implementing google's recaptcha is even being floated as a possibility it is more than feasible to create a captcha that isn't easily beaten by automation</p>
<p>But maybe i overestimated the Tor team since the "captcha" on this blog is 1+0=</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290168"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290168" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">November 02, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290124" class="permalink" rel="bookmark">I can&#039;t believe trying to…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-290168">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290168" class="permalink" rel="bookmark">I don&#039;t mind the occasional…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I don't mind the occasional condescending comment as long as it's backed by a good argument. This, however, is just backseat engineering.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290204"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290204" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Human (not verified)</span> said:</p>
      <p class="date-time">November 05, 2020</p>
    </div>
    <a href="#comment-290204">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290204" class="permalink" rel="bookmark">Please dont use Google&#039;s…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please dont use Google's captcha, its terrible for privacy.<br />
Why not use something like the math question captcha, or hcaptcha? There are several alternatives to Google's captchas out there</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
